For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DiscordGet API Key
  • Getting Started
    • Overview
    • Quickstart
    • Errors
    • Pricing
  • Chat
    • Overview
    • Chat with Image, Video, and Audio
    • Function Calling
    • Models
  • Vision
    • Overview
    • Rate Limits
    • Pricing
    • MCP Server
    • Video Management
    • Video Group Management
    • Video Search
    • Video QA
    • Clip Generation
    • Metadata Tagging
    • Image Management
    • Image Search
        • POSTCreate Video Group
        • GETList Video Groups
        • GETGet Video Group
        • PATCHUpdate Video Group
        • DELDelete Video Group
        • GETList Group Videos
  • Research
    • Overview
    • Streaming
    • Reasoning Steps
    • Web Search
    • Structured Output
    • Parallel Thinking
    • Best Practices
    • Errors
    • Examples
  • Speech
    • Overview
    • Audio Transcription
    • Speech Translation
    • Speech-to-Speech Translation
  • Resources
    • FAQs
    • Changelog
    • System Status
LogoLogo
DiscordGet API Key
VisionAPI ReferenceVideo Groups

List Video Groups

GET
https://vision-agent.api.reka.ai/v1/videos/groups
GET
/v1/videos/groups
$curl https://vision-agent.api.reka.ai/v1/videos/groups \
> -H "X-Api-Key: <apiKey>"
200Retrieved
1{
2 "results": [
3 {
4 "group_id": "group-550e8400-e29b-41d4",
5 "name": "Q4 Planning Videos",
6 "metadata": {},
7 "created_at": "2024-10-31T12:00:00Z",
8 "updated_at": "2024-10-31T12:00:00Z"
9 }
10 ]
11}
Was this page helpful?
Previous

Get Video Group

Next
Built with

Authentication

X-Api-Keystring

API key authentication via X-Api-Key header

OR
AuthorizationBearer
Bearer token authentication via Authorization header

Response

Successful Response
resultslist of objects
List of video groups